Subject: Re: Cygwin/DBD::ODBC issue
From: "Gerrit P. Haase" <[email-masked]>
To: "Rafael Kitover" <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Jan 2004 18:14:16 +0100

Hallo Rafael,

Am Freitag, 16. Januar 2004 um 23:56 schriebst du:

> Hi Tommie,

> DBD::ODBC seems like a very useful module to have available for
> Cygwin. Could you post the patch you ended up having? I'll try to
> get it to the maintainer(s). 

> Also, what ODBC driver manager did you use? What is your ODBCHOME
> environment variable set to? 

Builds ok using libiodbc-3.51.1 ( http://www.iodbc.org/ ) besides
this:

$ make
Makefile:300: *** missing separator.  Stop.

[...]

$ make test
/bin/perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01base.........ok                                                          
t/02simple.......skipped
        all skipped: DBI_DSN is undefined
t/03dbatt........skipped
        all skipped: DBI_DSN is undefined
t/05meth.........skipped
        all skipped: DBI_DSN is undefined
t/07bind.........skipped
        all skipped: DBI_DSN is undefined
t/08bind2........skipped
        all skipped: DBI_DSN is undefined
t/09multi........skipped
        all skipped: DBI_DSN is undefined
t/20SqlServer....skipped
        all skipped: DBI_DSN is undefined
t/30Oracle.......skipped
        all skipped: DBI_DSN is undefined
All tests successful, 8 tests skipped.
Files=9, Tests=5,  4 wallclock secs ( 1.56 cusr +  1.59 csys =  3.15 CPU)

Hmmm, need a database to run more useful tests...

There is nameclash, postgresql-7.4.1-3 includes the file
/usr/include/sqltypes.h and libiodbc-3.51.1 includes a file with the
same name, additional there is a file with the same name included in
the w32api-2.4-1 package, though this is in the /usr/include/w32api
directory and is picked up at last from gcc.

I can send you patches to build libiodbc and MyODBC with shared
libraries, however, I was not able to figure out how connect my local
MySQL server via DBD::ODBC.

The MyODBC driver works as expected (it is linked against libiodbc as
is DBD::ODBC) but DBD::ODBC fails for some reason.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/